petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMFFDCheckPositivity

Checks that all entries in U + h*a are positive or zero, decreases h until this is satisfied.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDCheckPositivity(void *dummy,Vec U,Vec a,PetscScalar *h)

Logically Collective on Vec Many br

### Input Parameters

| U | - base vector that is added to Many br
| a | - vector that is added Many br
| h | - scaling factor on a Many br
| dummy | - context variable (unused) Many br

### Options Database Keys

-mat_mffd_check_positivity - Many br Many br

Notes: This is rarely used directly, rather it is passed as an argument to Many brMatMFFDSetCheckh() Many br

### See Also

MatMFFDSetCheckh()

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages